/// <reference types="react" />
import type { getRequestConfig as getRequestConfig_type, getFormatter as getFormatter_type, getNow as getNow_type, getTimeZone as getTimeZone_type, getMessages as getMessages_type, getLocale as getLocale_type, unstable_setRequestLocale as unstable_setRequestLocale_type } from '../react-server';
export declare function getRequestConfig(...args: Parameters<typeof getRequestConfig_type>): ReturnType<typeof getRequestConfig_type>;
export declare const getFormatter: typeof getFormatter_type;
export declare const getNow: typeof getNow_type;
export declare const getTimeZone: typeof getTimeZone_type;
export declare const getTranslations: {
    <NestedKey extends string = never>(namespace?: NestedKey | undefined): Promise<{
        <TargetKey extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>>>>(key: [TargetKey] extends [never] ? string : TargetKey, values?: import("use-intl/dist/types/src/core/TranslationValues").default | undefined, formats?: Partial<import("use-intl/dist/types/src/core/Formats").default> | undefined): string;
        rich<TargetKey_1 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>>>>(key: [TargetKey_1] extends [never] ? string : TargetKey_1, values?: import("use-intl").RichTranslationValues | undefined, formats?: Partial<import("use-intl/dist/types/src/core/Formats").default> | undefined): string | import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | import("react").ReactNodeArray;
        markup<TargetKey_2 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>>>>(key: [TargetKey_2] extends [never] ? string : TargetKey_2, values?: import("use-intl").MarkupTranslationValues | undefined, formats?: Partial<import("use-intl/dist/types/src/core/Formats").default> | undefined): string;
        raw<TargetKey_3 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey] extends [never] ? "!" : `!.${NestedKey}`>>>>(key: [TargetKey_3] extends [never] ? string : TargetKey_3): any;
    }>;
    <NestedKey_1 extends string = never>(opts?: {
        locale: string;
        namespace?: NestedKey_1 | undefined;
    } | undefined): Promise<{
        <TargetKey_4 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>>>>(key: TargetKey_4, values?: import("use-intl/dist/types/src/core/TranslationValues").default | undefined, formats?: Partial<import("use-intl/dist/types/src/core/Formats").default> | undefined): string;
        rich<TargetKey_5 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>>>>(key: TargetKey_5, values?: import("use-intl").RichTranslationValues | undefined, formats?: Partial<import("use-intl/dist/types/src/core/Formats").default> | undefined): string | import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | import("react").ReactNodeArray;
        markup<TargetKey_6 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>>>>(key: TargetKey_6, values?: import("use-intl").MarkupTranslationValues | undefined, formats?: Partial<import("use-intl/dist/types/src/core/Formats").default> | undefined): string;
        raw<TargetKey_7 extends import("use-intl/dist/types/src/core/utils/MessageKeys").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>, import("use-intl/dist/types/src/core/utils/NestedKeyOf").default<import("use-intl/dist/types/src/core/utils/NestedValueOf").default<{
            '!': IntlMessages;
        }, [NestedKey_1] extends [never] ? "!" : `!.${NestedKey_1}`>>>>(key: TargetKey_7): any;
    }>;
};
export declare const getMessages: typeof getMessages_type;
export declare const getLocale: typeof getLocale_type;
export declare const unstable_setRequestLocale: typeof unstable_setRequestLocale_type;
